RubyGems Navigation menu

pipeline_toolkit 1.5.0

Command line tools for processing messages by constructing a pipeline of workers. AMQP and Unix pipes are used to construct the pipeline. Messages are simple Hashes (serialized as YAML) so they can hold any values and change throughout the processing.

Versions:

  1. 1.5.0 - November 07, 2011 (21,5 ko)
  2. 1.4.4 - June 27, 2012 (21,5 ko)
  3. 1.4.3 - October 20, 2011 (21,5 ko)
  4. 1.4.2 - September 02, 2011 (21,5 ko)
  5. 1.4.1 - September 02, 2011 (21,5 ko)
Voir toutes les versions (37)

Dépendances de Runtime (7):

  • amqp ~> 0.8.0
  • eventmachine ~> 0.12.10
  • eventmachine_httpserver ~> 0.2.0
  • json >= 0
  • log4r ~> 1.1.9
  • msgpack ~> 0.4.3
  • trollop ~> 1.16
  • Dépendances de Development (3):

    Propriétaires:

    Auteurs:

    • Aisha Fenton, Marcus Wyatt

    Total de contrôle SHA 256:

    b1d933a6163aa350544993af4eea5e393e9367551e3c30d97d9fed11b67c2f08

    Total de téléchargements 103 588

    Pour cette version 3 500

    Gemfile:
    = Copier Copié!

    installation:
    =

    License:

    aucune

    Version de Ruby requise: None

    Liens: